/**
 * Loads the application only.
 *
 * Copyright (C) 2004  Alastair Fettes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Alastair Fettes
 * http://www.schemasoft.org
 * afettes@engr.uvic.ca
 *
 * Please forward all inquries to the following address:
 * Alastair Fettes co. SchemaSoft
 * Suite 350, 1190 Homer St.
 * Vancouver, British Columbia
 * V6B 2X6
 * Canada
 */

/**
 * public class App
 */
function App(){};

/**
 * Initialize the application.
 * @param evt The onload event.
 */
App.init = function( evt )
{
    SVGDoc   = evt.target.ownerDocument;
    App.ROOT = SVGDoc.getElementById( "SPARK" );

    // initialize the factory.
    var factory = SPARKHelperFactory.init();
    var decorat = SPARKHelperDecorator.init();

    factory.setDecorator( decorat );
    SPARK.setFactory( factory );

    for( var i = 0; i < App.ROOT.childNodes.length; i++ )
    {
        var node = App.ROOT.childNodes.item(i);

        if( node.nodeType == 1 )
        {
            var widget = factory.createWidget( node );
        }
    }
};